<?php use_helper('UrlFunctions'); ?>
<script>

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>
<?php

if(myUser::getUser()->getIdPadre() == "1"){
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	 	
  	$IdPadre = $o_ColaboradorBeanResult[0]->getIdPadre();
  	
}else{//Solo los Hijos del Colaborador
  	$IdPadre = myUser::getUser()->getIdColaborador();
}

//Sacar el nombre de la sucursal
$o_SucursalBean = new SucursalBean();
$o_SucursalBean->setIdAdministrador($IdPadre);

$o_SucursalBL = new SucursalBL();
$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);

foreach ($a_o_sucursal as $key => $o_sucursal){
	$IdSucursal 	= $o_sucursal->getIdSucursal();
	$NombreSucursal = $o_sucursal->getDescripcion();
}
/*
$o_BalanceDiaNew = new BalanceDiaBean();
$o_BalanceDiaNew->setIdColaboradorPermitido($IdPadre); 

$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
$fechaDiaBalanceAbierto = $o_BalanceDiaNewDP->ObtenerDiaAbierto();
*/
//Obtener el nombre del Adminitrador
$idAdministrador = $IdPadre;
$o_ColaboradorAdmin = new ColaboradorBean();
$o_ColaboradorAdmin->setIdColaborador($idAdministrador);

$o_ColaboradorAdminBL = new ColaboradorBL();
$a_o_Colaborador = $o_ColaboradorAdminBL->busquedaColaborador($o_ColaboradorAdmin);
foreach ($a_o_Colaborador as $key => $o_Colaborador){
	$NombreAdministrador = $o_Colaborador->getNombreCompleto();
}

$o_BalanceDiaNew = new BalanceDiaBean();
$o_BalanceDiaNew->setIdColaboradorPermitido($a_Colaborador); 
$o_BalanceDiaNew->setIdAdministrador($IdPadre); 
$o_BalanceDiaNew->setIdSucursal($IdSucursal); 


$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
$fechaBalanceAbierto  	= $o_BalanceDiaNewDP->ObtenerDiaAbierto();

if(isset($control)){
	$o_CrPrAsignarDetalleDP = new CrPrAsignarDetalleDP();
	$o_CrPrAsignarDetalleDP->setFecha($fecha);
	$o_CrPrAsignarDetalleDP->setIdmercado($idMercado);
	$o_CrPrAsignarDetalleDP->setIdcolaborador($idColaborador);
	$o_CrPrAsignarDetalleDP->delete();
  
	if(is_array($idPrestamos) && count($idPrestamos)){ 
  		foreach ($idPrestamos as $key => $val){
		  $o_CrPrAsignarDetalleDP = new CrPrAsignarDetalleDP();
		  
		  $o_CrPrAsignarDetalleDP->setFecha($fecha);
		  $o_CrPrAsignarDetalleDP->setIdmercado($idMercado);
		  $o_CrPrAsignarDetalleDP->setIdcolaborador($idColaborador);
		  $o_CrPrAsignarDetalleDP->setIdprestamo($val);
		  
		  $o_CrPrAsignarDetalleDP->setFecharegistro(date("Y-m-d H:i:s"));
		  $o_CrPrAsignarDetalleDP->setUsuarioRegistro(myUser::getUser()->getUserId());
		  $bResult = $o_CrPrAsignarDetalleDP->save();
  		}
  }
  
  
  if($bResult){
    ?>
    <script language="JavaScript">
    	parent.objMainTab.reqBody('<?=buildUrl('asigcob/list')?>','&block=001&insert=1&fecha=<?=$fecha?>');
    	parent.objMainTab.windowsCloseAll();
    </script>
    <?
  }else{
    $url = buildUrl('adsadd', "block=".$block."&error=1");
  }
  exit;
}

$o_CrPrAsignarDetalleFN = new CrPrAsignarDetalleFN();
$o_CrPrAsignarDetalleFN->setFecha($fecha);
$o_CrPrAsignarDetalleFN->setIdmercado($idMercado);
$o_CrPrAsignarDetalleFN->setIdcolaborador($idColaborador);
$a_o_CrPrAsignarDetalleFN = $o_CrPrAsignarDetalleFN->select();

if(is_array($a_o_CrPrAsignarDetalleFN)){
	foreach ($a_o_CrPrAsignarDetalleFN as $key => $o_CrPrAsignarDetalleFN) {
		$a_idPrestamo[] = $o_CrPrAsignarDetalleFN->getIdprestamo();
	}
}


////////////////
$IdAdministrador	  		= myUser::getUser()->getIdColaborador();
$o_ObjectBean 				= new SucursalBean();
$o_ObjectBean->setIdAdministrador($IdAdministrador);
		
$o_class 					= new SucursalBL();
$a_ObjectBean 				= $o_class->busquedaSucursal($o_ObjectBean);

if(count($a_ObjectBean) > 0){
	foreach ($a_ObjectBean as $iKey => $o_objBean){
		$a_user['idsucursal'] = $o_objBean->getIdSucursal();
		$a_user['sucursal'] = $o_objBean->getDescripcion();
		$o_SucursalMercadoBean = new SucursalMercadoBean();
		$o_SucursalMercadoBean->setIdSucursal($o_objBean->getIdSucursal());
		$o_SucursalMercadoBL = new SucursalMercadoBL();
		$a_o_sucursalmercado = $o_SucursalMercadoBL->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean);
		if(is_array($a_o_sucursalmercado)){
			foreach ($a_o_sucursalmercado as $key => $o_sucursalmercado){
				$a_IdMercados[] = $o_sucursalmercado->getIdMercado();
			}
		}
	}
	$o_MercadoBean = new MercadoBean();
	$o_MercadoBean->sortCampos = "Descripcion";
	$o_MercadoBean->sortType = "1";
	$o_MercadoBean->setIdMercado($idMercado);
	if(!is_array($a_IdMercados)) $a_IdMercados[] = 'x'; 
	$o_MercadoBean->setIdMercados($a_IdMercados);
	$o_MercadoDP = new MercadoDP($o_MercadoBean);
	$a_o_Mercados = $o_MercadoDP->select();
}


$o_ColaboradorBean = new ColaboradorBean();
$o_ColaboradorBean->setIdPadre(myUser::getUser()->getIdColaborador());	
$o_ColaboradorBean->setIdColaborador($idColaborador);
$o_ColaboradorBean->sortCampos = "Apellido;Nombre";
$o_ColaboradorBean->sortType = "1;1";
$o_ColaboradorBean->setIdRol('sys.sup');
$o_ColaboradorBean->setEstado('A');
$o_AdelantoSystemClass = new AdelantoSystemClass($o_ColaboradorBean);

$a_Colaborador = $o_AdelantoSystemClass->getColaborador();


 ?>
 
<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Asignacion de Cobranzas</li>
            </td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
     
  <tr>
    <td valign="top">
      <form id="form1" name="form1" method="POST">
      <input type="hidden" name="control" value="1">
        <table hspace="20px" width="99%">
          <tr>
            <td valign="top">
              <table width="100%" border="0" cellpadding="5" cellspacing="0">
          		<tr>
    				  <td height="0">
    				  
    					
    					<?php
		                $s_Param = 'block='.$block;
		                if( isset( $fecha ) && isset( $idMercado )&& isset( $idColaborador ) )
		                {
		                    $s_Param .= '&fecha='.$fecha.'&idMercado='.$idMercado.'&idColaborador='.$idColaborador;
		                }
		                ?>
						<table id="tabShowScan" cellpadding="0" cellspacing="0" class="" style="margin-top: 5px;">
			                <tr>
			                  <td class="mnuInactivoIzq" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="7"></td>
			                  <td class="mnuInactivoTxt"  style="padding: 2px;" type='maintTabguiaGeneral' nowrap onclick="location.href='<?php echo buildUrl('asigcob/edit', $s_Param) ?>';">Datos Generales</td>
			                  <td class="mnuInactivoDer" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="8"></td>
			                  <?php if( isset( $fecha ) && isset( $idMercado )&& isset( $idColaborador ) ){ ?>
			                  	                  
			                  <td class="mnuActivoIzq" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="7"></td>
			                  <td class="mnuActivoTxt"   style="padding: 2px;" type='maintTabguiaGeneral' nowrap onclick="location.href='<?php echo buildUrl('asigcob/detalle', $s_Param) ?>';">Detalle</td>
			                  <td class="mnuActivoDer" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="8"></td>
			                  
			                  <?php } ?>
			                </tr>
			           </table>
    					 <table width="100%" border="0" cellspacing="6" cellpadding="0"  class="marco">
							  <tr>
							  	<td width="8%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre">Fecha</label></td>
                      
			                    <td nowrap="nowrap"><label class="label"><?=$fecha?></label></td>
			                      
							  </tr>
							   <tr>
				                  <td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtAdministrador" >Mercado</label></td>
				  				  <td nowrap="nowrap">
				                  
				                  <?php foreach ($a_o_Mercados as $iKey => $o_Mercado){ ?>
				                      <?=$o_Mercado->getDescripcion()?>
				                  <?php } ?>
				               	 
				               	</td>
				              </tr>
							  <tr>
				                  <td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtAdministrador" >Supervisor</label></td>
				  				  <td nowrap="nowrap">
				                  <?php foreach ($a_Colaborador as $iKey => $o_ColaboradorBean){ ?>
				                    <?=$o_ColaboradorBean->getNombreCompleto();?>
				                  <?php } ?>
				               	 
				               	</td>
				              </tr>
				              <tr>
				              	<td colspan="2">
				              		<b><label class="req">Lista de Prestamos</label></b>
				              	</td>
				              </tr>
				              <tr>
				              	<td colspan="2">
				              		<table border="1" class="grid" cellpadding="0" cellspacing="0" width="100%">
				              			<tr>
				              				<th width="2%"><input type="checkbox" name="c_control"  class="c_control" value="1" onclick="HabilitarDeshabilitarCheck(this)" /></th>
				              				<th>N.</th>
				              				<th>Cod.</th>
				              				<th>Cliente</th>
				              				<th>Monto Total S/</th>
				              				<th>Interes %</th>
				              				<th>Saldo S/</th>
				              			</tr>
				              			<?php
				              			$o_ObjectBean = new PrestamoBean();
										
										
										if($idMercado     		!=""){ 
											$o_ObjectBean->setIdMercado($idMercado);
											
											$o_MercadoRepresentanteBean = new MercadoRepresentanteBean();
										  	$o_MercadoRepresentanteBean->setIdMercado($idMercado);
										  	$o_MercadoRepresentanteDP = new MercadoRepresentanteDP($o_MercadoRepresentanteBean);
										  	$a_MercadoRepresentante = $o_MercadoRepresentanteDP->select();
										  	if(is_array($a_MercadoRepresentante)){
										  		foreach ($a_MercadoRepresentante as $key => $o_MercadoRepresentante){
										  			$IdColaborador = $o_MercadoRepresentante->getIdColaborador();
										  		}
										  	}
										}
										
										
									  	
										$o_ObjectBean->setIdColaboradorPrestamo($IdColaborador);
										$o_ObjectBean->setEstado('P');
										$o_ObjectBean->setFlagReporte('2');
										
										$o_class = new PrestamoBL();
										$a_ObjectBean = $o_class->busquedaPrestamo($o_ObjectBean);
										
										//print_r($a_ObjectBean);
										echo "Cantidad ".count($a_ObjectBean);
										$i=1;
										foreach ($a_ObjectBean as $iKey => $o_objBean){
				              			?>
				              			<tr>
				              				<td><input <?php if(is_array($a_idPrestamo) && in_array($o_objBean->getIdPrestamo(),$a_idPrestamo)) echo " checked";?> type="checkbox" name="idPrestamos[<?php echo $o_objBean->getIdPrestamo();?>]" value="<?php echo $o_objBean->getIdPrestamo();?>" class="detalle"><?php // echo $o_objBean->getIdPrestamo(); ?></td>
				              				<td><?php echo $i;?></td>
				              				<td><?php echo $o_objBean->getIdCliente();?></td>
				              				<td><?php echo $o_objBean->getObjectCliente()->getNombreCompleto();?></td>
				              				<td align="right"><?php echo number_format($o_objBean->getMontototal(),2);?></td>
				              				<td align="right"><?php echo $o_objBean->getInteresPorcentaje();?></td>
				              				<td align="right"><?php echo $o_objBean->getSaldoPrestamo();?></td>
				              			</tr>
				              			<?php 
				              				$i++;
										}?>
				              		</table>
				              	</td>
				              </tr>
						</table>
						
						 <table width="100%" border="0" cellspacing="0" cellpadding="0">
							  <tr>
								 <td><img src="/images/common/spacer.gif" width="10"></td>
							  </tr>
							  <tr>
								<td align="center">
								  <input type="hidden" name="typeSubmit" id="typeSubmit">
								  <!--<input class="button" type="submit" value="Grabar y Nuevo" onclick="$('typeSubmit').value='add';"/>-->
								  <?
								$o_BalanceDia = new BalanceDiaBean();
								$o_SucursalMercadoBean = new SucursalMercadoBean();
					    		$o_SucursalMercadoBean->setIdMercado($idMercado);
								$o_SucursalMercadoBL = new SucursalMercadoBL();
								$a_o_sucursalmercado = $o_SucursalMercadoBL->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean);
								if(is_array($a_o_sucursalmercado)){
									foreach ($a_o_sucursalmercado as $key => $o_sucursalmercado){
										$IdSucursal = $o_sucursalmercado->getIdSucursal();
									}
								}
								
								$o_BalanceDia->setIdSucursal($IdSucursal);
								$o_BalanceDia->setFechaBalance($fecha);
								$o_BalanceDia->setFechaBalanceFinal($fecha);
								$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
								$a_o_balance = $o_BalanceDiaDP->selectHeader();
								
								
								if(!is_array($a_o_balance) && count($a_o_balance) == 0){
						?>
					
								  <input class="button" type="submit" value="Grabar" onclick="$('typeSubmit').value='list';">
							<?php }	?>  
								  <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.windowsCloseAll();"/>
								</td>
							  </tr>
							  <tr>
								<td height="10">&nbsp;</td>
							  </tr>
							</table>
    					
    				</td>
                </tr>
      </table>
      </form>
			<script type="text/javascript">
				var valid = new Validation('form1', {immediate : true});
			</script>
    </td>
  </tr>
</table>
<script>

HabilitarDeshabilitarCheck = function(object){

	//alert('ok');
	//alert('u');
	var f = $$('.detalle');
	
	for(var i=0; i<f.length; i++){
		//alert('y');
		f[i].checked = object.checked;
	}
	
}

</script>